import request from '@/utils/request'

// 查询通告留言列表
export function listMsg(query) {
  return request({
    url: '/busi/msg/list',
    method: 'get',
    params: query
  })
}

// 查询通告留言详细
export function getMsg(id) {
  return request({
    url: '/busi/msg/' + id,
    method: 'get'
  })
}

// 新增通告留言
export function addMsg(data) {
  return request({
    url: '/busi/msg',
    method: 'post',
    data: data
  })
}

// 修改通告留言
export function updateMsg(data) {
  return request({
    url: '/busi/msg',
    method: 'put',
    data: data
  })
}

// 删除通告留言
export function delMsg(id) {
  return request({
    url: '/busi/msg/' + id,
    method: 'delete'
  })
}
